org.apache.mina.transport.socket

## Interface SocketSessionConfig

- All Superinterfaces:
    IoSessionConfig
  All Known Implementing Classes:
    AbstractSocketSessionConfig, DefaultSocketSessionConfig

      public interface SocketSessionConfig
      extends IoSessionConfig

  An `IoSessionConfig` for socket transport type.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReceiveBufferSize()`
    `int` | `getSendBufferSize()`
    `int` | `getSoLinger()` Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.
    `int` | `getTrafficClass()`
    `boolean` | `isKeepAlive()`
    `boolean` | `isOobInline()`
    `boolean` | `isReuseAddress()`
    `boolean` | `isTcpNoDelay()`
    `void` | `setKeepAlive(boolean keepAlive)`
    `void` | `setOobInline(boolean oobInline)`
    `void` | `setReceiveBufferSize(int receiveBufferSize)`
    `void` | `setReuseAddress(boolean reuseAddress)`
    `void` | `setSendBufferSize(int sendBufferSize)`
    `void` | `setSoLinger(int soLinger)` Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.
    `void` | `setTcpNoDelay(boolean tcpNoDelay)`
    `void` | `setTrafficClass(int trafficClass)`

    - ### Methods inherited from interface org.apache.mina.core.session.IoSessionConfig

      `getBothIdleTime, getBothIdleTimeInMillis, getIdleTime, getIdleTimeInMillis, getMaxReadBufferSize, getMinReadBufferSize, getReadBufferSize, getReaderIdleTime, getReaderIdleTimeInMillis, getThroughputCalculationInterval, getThroughputCalculationIntervalInMillis, getWriterIdleTime, getWriterIdleTimeInMillis, getWriteTimeout, getWriteTimeoutInMillis, isUseReadOperation, setAll, setBothIdleTime, setIdleTime, setMaxReadBufferSize, setMinReadBufferSize, setReadBufferSize, setReaderIdleTime, setThroughputCalculationInterval, setUseReadOperation, setWriterIdleTime, setWriteTimeout`

- - ### Method Detail

    - #### isReuseAddress

          boolean isReuseAddress()

      See Also:
        `Socket.getReuseAddress()`

    - #### setReuseAddress

          void setReuseAddress(boolean reuseAddress)

      See Also:
        `Socket.setReuseAddress(boolean)`

    - #### getReceiveBufferSize

          int getReceiveBufferSize()

      See Also:
        `Socket.getReceiveBufferSize()`

    - #### setReceiveBufferSize

          void setReceiveBufferSize(int receiveBufferSize)

      See Also:
        `Socket.setReceiveBufferSize(int)`

    - #### getSendBufferSize

          int getSendBufferSize()

      See Also:
        `Socket.getSendBufferSize()`

    - #### setSendBufferSize

          void setSendBufferSize(int sendBufferSize)

      See Also:
        `Socket.setSendBufferSize(int)`

    - #### getTrafficClass

          int getTrafficClass()

      See Also:
        `Socket.getTrafficClass()`

    - #### setTrafficClass

          void setTrafficClass(int trafficClass)

      See Also:
        `Socket.setTrafficClass(int)`

    - #### isKeepAlive

          boolean isKeepAlive()

      See Also:
        `Socket.getKeepAlive()`

    - #### setKeepAlive

          void setKeepAlive(boolean keepAlive)

      See Also:
        `Socket.setKeepAlive(boolean)`

    - #### isOobInline

          boolean isOobInline()

      See Also:
        `Socket.getOOBInline()`

    - #### setOobInline

          void setOobInline(boolean oobInline)

      See Also:
        `Socket.setOOBInline(boolean)`

    - #### getSoLinger

          int getSoLinger()

      Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.
      See Also:
        `Socket.getSoLinger()`, Sun Bug Database

    - #### setSoLinger

          void setSoLinger(int soLinger)

      Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.
      Parameters:
        `soLinger` - Please specify a negative value to disable `SO_LINGER`.
      See Also:
        `Socket.setSoLinger(boolean, int)`, Sun Bug Database

    - #### isTcpNoDelay

          boolean isTcpNoDelay()

      See Also:
        `Socket.getTcpNoDelay()`

    - #### setTcpNoDelay

          void setTcpNoDelay(boolean tcpNoDelay)

      See Also:
        `Socket.setTcpNoDelay(boolean)`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.